Subject: Re: [clue] draft-ietf-clue-data-model-schema-00

From: "Duckworth, Mark" <[email-masked]>
Date: Thu, 1 Aug 2013 04:25:51 -0700

I agree with using the value 0 for highest priority, and higher numbers mean lower priority, with default being lowest priority.
I see no reason to make the range "user friendly for non-programmers".

Mark

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Paul Kyzivat
> Sent: Tuesday, July 30, 2013 7:56 AM
> To: [email-masked]
> Subject: Re: [clue] draft-ietf-clue-data-model-schema-00
> 
> On 7/30/13 1:53 AM, Christian Groves wrote:
> > Hello Paul,
> >
> > I'm thinking that this could be set by whoever is configuring the
> > system at installation or at the start of a conference. Not something
> > that is hard coded. So that's why I thought a more "user friendly"
> > range would be good. Utilising 100, 101, 102, 200, 201, 202 etc... I
> > think is more of a programmer's view on the world. I do the same thing
> > when writing g-code for my mill but I'm not sure its a practise for
> > telepresence endpoints.
> 
> If the goal is to make the *range* "user friendly" for non-programmers, then
> it ought to be some number of decimal digits rather than powers of two.
> 
> > It would be good to get other views on this.
> 
> Yep.
> 
> 	Thanks,
> 	Paul
> 
> > Regards, Christian
> >
> > On 30/07/2013 7:25 AM, Paul Kyzivat wrote:
> >> On 7/29/13 2:45 AM, Christian Groves wrote:
> >>> Hello Paul,
> >>>
> >>> Please see below.
> >>>
> >>> Regards, Christian
> >>>
> >>> On 27/07/2013 1:03 AM, Paul Kyzivat wrote:
> >>>> On 7/26/13 1:12 AM, Christian Groves wrote:
> >>>>
> >>>>> [CNG] Perhaps we should just make this a btye 0-255 possible
> >>>>> values? And perhaps we need to say there is no inference to how
> >>>>> much more important the priority based on the position. e.g. 1 is
> >>>>> not 100x times more important than 100. If you have two captures
> >>>>> one with priority 1 and the other priority 100 the priority one
> >>>>> capture is simply more important. No difference to 1 & 2, 1 & 50
> >>>>> etc.
> >>>>
> >>>> Why would we want to restrict to 256 values? To save 3 bytes in the
> >>>> implementation?
> >>>>
> >>>> While people can probably settle with that, why?
> >>>
> >>> [CNG] Its not to save the 3 bytes in signalling. I just think it is
> >>> logically better to give a finite set of priorities within the
> >>> realms of day to day experience. If I was to set this via some UI I
> >>> think its easier present a range 0 - 256 rather than 0-2,147,483,647.
> >>
> >> I don't imagine a UI for setting these, at least not for regular
> >> people. Do you? Its more conceivable that a UI for users might *show*
> >> priorities. But then you only show the ones that were used.
> >>
> >> When I was looking at one example, I was thinking I would like to use
> >> values like:
> >> - 100, 101, 102, ... for one CSE or scene
> >> - 200, 201, 202, ... for a different CSE or scene
> >>
> >> One can easily use up more than 256 that way.
> >>
> >> Another possibility is to use real numbers in range [0,1].
> >>
> >> Then I can use 0.1, 0.2, ... or 0.10, 0.11, 0.12,... 0.20, 0.21, ...
> >> and can in general stick something between any two I have previously
> >> defined.
> >>
> >>     Thanks,
> >>     Paul
> >>
> >>>>>> Implementations are going to need a representation for all
> >>>>>> values, including the highest and lowest.
> >>>>> [CNG] Strictly speaking we probably only need the "highest" priority.
> >>>>> The lowest is effectively the number before or after (depending on
> >>>>> whether 1 is highest or not) those that have been set in the captures.
> >>>>
> >>>> The highest is zero, so that is easy. The lowest you can specify is
> >>>> currently 2^32-1. Suppose somebody decides to set some captures to
> >>>> 2^32-1, and leaves some unspecified? What value does the
> >>>> implementation give to them?
> >>>>
> >>>> So just say the the default is 2^32-1, or maxint. XML allows you to
> >>>> put a default in the schema. So we can just use that.
> >>>>
> >>>> This is assuming we want the default to be "lowest priority". If
> >>>> the default is "highest priority" then of course it is zero.
> >>>
> >>> [CNG] I'm OK with Roberta's proposal:
> >>> "the highest <priority> value = the first relevance rank (e.g. 1)"
> >>> default lowest value 255.
> >>>>
> >>>>>> If we are to represent priorities as unsigned integers, then I
> >>>>>> think both lowest and highest should fall into that range so that
> >>>>>> the implementation can use an unsigned integer too. So *if* we
> >>>>>> want the default to be lowest priority, then I would vote that we
> >>>>>> make the default be the highest value representable in the range,
> >>>>>> rather than something lower than that.
> >>>>>>
> >>>>>> I guess the question is whether we want the default to be highest
> >>>>>> priority or lowest priority.
> >>>>> [CNG] I think the "lowest priority".
> >>>>
> >>>> I don't much care. But I think it should be based on what we think
> >>>> the most common case is. Will people want to just mark a few
> >>>> captures as lower than the rest? Or just mark a few higher than the
> rest?
> >>>>
> >>>>     Thanks,
> >>>>     Paul
> >>>>
> >>>> _______________________________________________
> >>>> clue mailing list
> >>>> [email-masked]
> >>>> https://www.ietf.org/mailman/listinfo/clue
> >>>>
> >>>
> >>> _______________________________________________
> >>> clue mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/clue
> >>>
> >>
> >> _______________________________________________
> >> clue mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/clue
> >>
> >
> > _______________________________________________
> > clue mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/clue
> >
> 
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue